export default defineNuxtRouteMiddleware((to, from) => {
  const { user } = useAuth();
  
  // If user is already authenticated, redirect to dashboard
  if (user.value) {
    return navigateTo('/dashboard');
  }
});
